package com.semaphore;

import java.util.*;

/**
 * Brought to you by:
 * User: semaphore
 * Date: Oct 2, 2009
 * Time: 8:04:18 AM
 */
public enum BuildVersion {
    IPHONE_3_1_2("iphone-3.1.2" , "iPhone 3gs - 3.1.2"  , "018-6029-014.dmg", "018-6051-014.dmg", "018-6049-015.dmg"),
    IPHONE_3_1_3("iphone-3.1.3" , "iPhone 3gs - 3.1.3"  , "018-6483-022.dmg", "018-6489-023.dmg", "018-6495-022.dmg"),
    IPHONE_3_1  ("iphone-3.1"   , "iPhone 3gs - 3.1"    , "018-5344-086.dmg", "018-5352-086.dmg", "018-5349-086.dmg"),
    IPHONE_3_0_1("iphone-3.0.1" , "iPhone 3gs - 3.0.1"  , "018-5799-001.dmg", "018-5810-001.dmg", "018-5804-001.dmg"),
    IPHONE_3_0  ("iphone-3.0"   , "iPhone 3gs - 3.0"    , "018-5302-002.dmg", "018-5304-002.dmg", "018-5306-002.dmg"),
    IPOD_3G_3_1_3("ipt-3g-3.1.3", "iPod Touch 3g - 3.1.3", "018-6496-015.dmg", "018-6513-015.dmg", "018-6522-015.dmg"),
    IPOD_3G_3_1_2("ipt-3g-3.1.2", "iPod Touch 3g - 3.1.2", "018-6145-014.dmg", "018-6152-014.dmg", "018-6155-014.dmg"),
    IPOD_3G_3_1_1("ipt-3g-3.1.1", "iPod Touch 3g - 3.1.1", "018-6113-001.dmg", "018-6115-001.dmg", "018-6110-001.dmg"),
    IPOD_2G_3_1_3("ipt-2g-3.1.3", "iPod Touch 2g - 3.1.3", "018-6481-015.dmg", "018-6508-014.dmg", "018-6509-015.dmg"),
    IPOD_2G_3_1_2("ipt-2g-3.1.2", "iPod Touch 2g - 3.1.2", "018-6133-014.dmg", "018-6141-014.dmg", "018-6142-014.dmg"),
    IPOD_2G_3_1_1("ipt-2g-3.1.1", "iPod Touch 2g - 3.1.1", "018-6027-001.dmg", "018-6041-001.dmg", "018-6048-001.dmg"),
    IPAD_3_2("ipad-3.2", "iPad - 3.2", "018-7223-007.dmg", "018-7225-009.dmg", "018-7226-009.dmg");

    private String version;
    private String display;
    private String[] files;

    private BuildVersion(String ver, String display, String... files) {
        this.version = ver;
        this.display = display;
        this.files = files;
    }

    public String getDisplay() {
        return display;
    }

    public String getVersion() {
        return version;
    }

    public List<String> filesAsList() {
        return Arrays.asList(files);
    }

    public boolean contains(String file) {
        return Arrays.asList(files).contains(file);
    }

    public String toString() {
        return getDisplay();
    }
}
