package com.semaphore;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.*;
import java.util.logging.Formatter;
import java.util.logging.LogRecord;

/**
 * Brought to you by:
 * User: semaphore
 * Date: Oct 9, 2009
 * Time: 1:55:23 PM
 */
public class ShortFormatter extends Formatter {
    private static final DateFormat format = new SimpleDateFormat("h:mm:ss");
    private static final String lineSep = System.getProperty("line.separator");

    /**
     * A Custom format implementation that is designed for brevity.
     */
    public String format(LogRecord record) {
        String loggerName = record.getLoggerName();
        if(loggerName == null) {
            loggerName = "root";
        }
        StringBuilder output = new StringBuilder()
                .append(loggerName)
                .append("[")
                .append(record.getLevel()).append('|')
                .append(Thread.currentThread().getName()).append('|')
                .append(format.format(new Date(record.getMillis())))
                .append("]: ")
                .append(record.getMessage()).append(' ')
                .append(lineSep);
        return output.toString();
    }

}
